Subject: [ANNOUNCE] Berkeley Mail (mailx) replacement for /bin/mail
From: [email-masked] (Scott Adkins)
Date: 2 Apr 1993 05:15:42 GMT
Newsgroups: comp.os.linux.announce

I have uploaded mailx-5.3a.tar.z to the incoming directories of both
  sunsite.unc.edu and tsx-11.mit.edu.  They will hopefully be moved
  to their more appropriate places in the near future.

This is Berkeley "Mail" (aka "UCB Mail" as well as "mailx").  It is 
a replacement for /bin/mail and has all of the features the current
SLS /bin/mail version has and much much more.  It supports a .mailrc
file for aliases and initialization commands, and allows you to use
folders and keep track of all outgoing mail.

Most commercial systems, such as Ultrix, Berkely, and SunOS use mail
programs that are nearly identical (with differences that hard to spot)
to this version of the mail program.  I highly recommend its use for
a full Linux production system.  

I provided both the binaries (statically linked, thus not dependent on
whatever version of shared libraries you have) and the source (which 
should compile cleanly and without warnings) in the package.  I will
support the package for Linux fully and correct any bugs that need to
be fixed.  Note that is it a Linux only version, despite the fact that
it was originally written to be portable (I made it unportable).  In 
the future, I will report this program to Linux and do it correctly,
allowing it to still compile on other systems.

Any questions, bug reports, or anything else, just send me mail.
I can be reached at "[email-masked]".

Here is an exert from the man page provided with the package (it is
the last thing in this announcement, so you can skip the rest if you
don't feel like reading it...):

							MAIL(1)

   NAME
     mail - send and receive mail

   SYNOPSIS
     mail [ -v ] [ -i ] [ -n ] [ -s subject ] [ user ...  ]
     mail [ -v ] [ -i ] [ -n ] -f [ name ]
     mail [ -v ] [ -i ] [ -n ] -u user

   INTRODUCTION
     Mail is a intelligent mail processing system, which has a command syntax
     reminiscent of ed with lines replaced by messages.

     The -v flag puts mail into verbose mode; the details of delivery are
     displayed on the users terminal.  The -i flag causes tty interrupt sig-
     nals to be ignored. This is particularly useful when using mail on noisy
     phone lines.  The -n flag inhibits the reading of /usr/lib/Mail.rc.

     Sending mail.  To send a message to one or more people, mail can be
     invoked with arguments which are the names of people to whom the mail
     will be sent.  You are then expected to type in your message, followed
     by an EOT (control-D) at the beginning of a line.  A subject may be
     specified on the command line by using the -s flag. (Only the first
     argument after the -s flag is used as a subject; be careful to quote
     subjects containing spaces.) The section below, labeled Replying to or
     originating mail, describes some features of mail available to help you
     compose your letter.

     Reading mail.  In normal usage mail is given no arguments and checks
     your mail out of the post office, then prints out a one line header of
     each message there.  The current message is initially the first message
     (numbered 1) and can be printed using the print command (which can be
     abbreviated p).  You can move among the messages much as you move
     between lines in ed, with the commands `+' and `-' moving backwards and
     forwards, and simple numbers.

     Disposing of mail.  After examining a message you can delete (d) the
     message or reply (r) to it.  Deletion causes the mail program to forget
     about the message.  This is not irreversible; the message can be
     undeleted (u) by giving its number, or the mail session can be aborted
     by giving the exit (x) command.  Deleted messages will, however, usually
     disappear never to be seen again.

     Specifying messages.  Commands such as print and delete can be given a
     list of message numbers as arguments to apply to a number of messages at
     once.  Thus ``delete 1 2'' deletes messages 1 and 2, while ``delete
     1-5'' deletes messages 1 through 5.  The special name ``*'' addresses
     all messages, and ``$'' addresses the last message; thus the command top
     which prints the first few lines of a message could be used in ``top *''
     to print the first few lines of all messages.

     Replying to or originating mail.  You can use the reply command to set
     up a response to a message, sending it back to the person who it was
     from.  Text you then type in, up to an end-of-file, defines the contents
     of the message.  While you are composing a message, mail treats lines
     beginning with the character `~' specially.  For instance, typing ``~m''
     (alone on a line) will place a copy of the current message into the
     response right shifting it by a tabstop.  Other escapes will set up sub-
     ject fields, add and delete recipients to the message and allow you to
     escape to an editor to revise the message or to a shell to run some com-
     mands.

     Ending a mail processing session.  You can end a mail session with the
     quit (q) command.  Messages which have been examined go to your mbox
     file unless they have been deleted in which case they are discarded.
     Unexamined messages go back to the post office.  The -f option causes
     mail to read in the contents of your mbox (or the specified file) for
     processing; when you quit, mail writes undeleted messages back to this
     file.  The -u flag is a short way of doing "mail -f
     /usr/spool/mail/user".

     Personal and systemwide distribution lists.  It is also possible to
     create a personal distribution lists so that, for instance, you can send
     mail to ``cohorts'' and have it go to a group of people.  Such lists can
     be defined by placing a line like

          alias cohorts bill ozalp jkf mark kridle@ucbcory

     in the file .mailrc in your home directory.  The current list of such
     aliases can be displayed with the alias (a) command in mail.  System
     wide distribution lists can be created by editing /usr/lib/aliases, see
     aliases(5) and sendmail(8); these are kept in a different syntax.  In
     mail you send, personal aliases will be expanded in mail sent to others
     so that they will be able to reply to the recipients.  System wide
     aliases are not expanded when the mail is sent, but any reply returned
     to the machine will have the system wide alias expanded as all mail goes
     through sendmail.

     Mail has a number of options which can be set in the .mailrc file to
     alter its behavior; thus ``set askcc'' enables the ``askcc'' feature.

-- 
Send submissions for comp.os.linux.announce to: [email-masked]